OpenTTD Source: GrfChangeInfoHandler< TFeature > Struct Template Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Member Functions
GrfChangeInfoHandler< TFeature > Struct Template Reference

GRF feature handler. More...

`#include <newgrf_internal.h>`

## Public Member Functions
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Activation (uint, uint, int, ByteReader &)
ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)
ChangeInfoResult | Reserve (uint, uint, int, ByteReader &)
ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)

## Static Public Member Functions
static ChangeInfoResult | Reserve (uint first, uint last, int prop, ByteReader &buf)
static ChangeInfoResult | Activation (uint first, uint last, int prop, ByteReader &buf)

## Detailed Description

template<GrfSpecFeature TFeature>
struct GrfChangeInfoHandler< TFeature >

GRF feature handler.

Definition at line 30 of file newgrf_internal.h.

## Member Function Documentation

## ◆ Activation() [1/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRCRAFT >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 201 of file newgrf_act0_aircraft.cpp.

## ◆ Activation() [2/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRPORTS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 265 of file newgrf_act0_airports.cpp.

## ◆ Activation() [3/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRPORTTILES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 268 of file newgrf_act0_airports.cpp.

## ◆ Activation() [4/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_BADGES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 59 of file newgrf_act0_badges.cpp.

## ◆ Activation() [5/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_BRIDGES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 149 of file newgrf_act0_bridges.cpp.

## ◆ Activation() [6/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_CANALS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 56 of file newgrf_act0_canals.cpp.

## ◆ Activation() [7/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_GLOBALVAR >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 553 of file newgrf_act0_globalvar.cpp.

## ◆ Activation() [8/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_HOUSES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 359 of file newgrf_act0_houses.cpp.

## ◆ Activation() [9/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_INDUSTRYTILES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 705 of file newgrf_act0_industries.cpp.

## ◆ Activation() [10/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_INDUSTRIES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 708 of file newgrf_act0_industries.cpp.

## ◆ Activation() [11/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_OBJECTS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 203 of file newgrf_act0_objects.cpp.

## ◆ Activation() [12/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_RAILTYPES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 248 of file newgrf_act0_railtypes.cpp.

## ◆ Activation() [13/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADSTOPS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 185 of file newgrf_act0_roadstops.cpp.

## ◆ Activation() [14/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADTYPES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 232 of file newgrf_act0_roadtypes.cpp.

## ◆ Activation() [15/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_TRAMTYPES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 235 of file newgrf_act0_roadtypes.cpp.

## ◆ Activation() [16/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADVEHICLES >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 238 of file newgrf_act0_roadvehs.cpp.

## ◆ Activation() [17/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_SHIPS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 225 of file newgrf_act0_ships.cpp.

## ◆ Activation() [18/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_SOUNDFX >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 77 of file newgrf_act0_sounds.cpp.

## ◆ Activation() [19/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_STATIONS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 325 of file newgrf_act0_stations.cpp.

## ◆ Activation() [20/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_TRAINS >::Activation | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 357 of file newgrf_act0_trains.cpp.

## ◆ Activation() [21/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_CARGOES >::Activation | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 177 of file newgrf_act0_cargo.cpp.

## ◆ Reserve() [1/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_CARGOES >::Reserve | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 176 of file newgrf_act0_cargo.cpp.

## ◆ Reserve() [2/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_GLOBALVAR >::Reserve | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 552 of file newgrf_act0_globalvar.cpp.

## ◆ Reserve() [3/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_RAILTYPES >::Reserve | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 247 of file newgrf_act0_railtypes.cpp.

## ◆ Reserve() [4/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADTYPES >::Reserve | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 231 of file newgrf_act0_roadtypes.cpp.

## ◆ Reserve() [5/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_TRAMTYPES >::Reserve | ( | uint | first,
|  | uint | last,
|  | int | prop,
|  | ByteReader & | buf
| ) |  |

Definition at line 234 of file newgrf_act0_roadtypes.cpp.

## ◆ Reserve() [6/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRCRAFT >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 200 of file newgrf_act0_aircraft.cpp.

## ◆ Reserve() [7/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRPORTS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 264 of file newgrf_act0_airports.cpp.

## ◆ Reserve() [8/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_AIRPORTTILES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 267 of file newgrf_act0_airports.cpp.

## ◆ Reserve() [9/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_BADGES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 58 of file newgrf_act0_badges.cpp.

## ◆ Reserve() [10/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_BRIDGES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 148 of file newgrf_act0_bridges.cpp.

## ◆ Reserve() [11/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_CANALS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 55 of file newgrf_act0_canals.cpp.

## ◆ Reserve() [12/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_HOUSES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 358 of file newgrf_act0_houses.cpp.

## ◆ Reserve() [13/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_INDUSTRYTILES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 704 of file newgrf_act0_industries.cpp.

## ◆ Reserve() [14/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_INDUSTRIES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 707 of file newgrf_act0_industries.cpp.

## ◆ Reserve() [15/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_OBJECTS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 202 of file newgrf_act0_objects.cpp.

## ◆ Reserve() [16/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADSTOPS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 184 of file newgrf_act0_roadstops.cpp.

## ◆ Reserve() [17/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_ROADVEHICLES >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 237 of file newgrf_act0_roadvehs.cpp.

## ◆ Reserve() [18/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_SHIPS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 224 of file newgrf_act0_ships.cpp.

## ◆ Reserve() [19/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_SOUNDFX >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 76 of file newgrf_act0_sounds.cpp.

## ◆ Reserve() [20/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_STATIONS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 324 of file newgrf_act0_stations.cpp.

## ◆ Reserve() [21/21]

ChangeInfoResult GrfChangeInfoHandler< GSF_TRAINS >::Reserve | ( | uint | ,
|  | uint | ,
|  | int | ,
|  | ByteReader & |
| ) |  |

Definition at line 356 of file newgrf_act0_trains.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf/newgrf_internal.h